## open-infrastructure-compute-tools 20220721

=== Makefile ===
# Open Infrastructure: compute-tools

# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

PROJECT = open-infrastructure
SOFTWARE = compute-tools
PROGRAM = container

SCRIPTS = bin/* libexec/*/*

VERSION := $(shell cat VERSION.txt)

all: build

test:
	@echo -n "Checking for syntax errors with sh... "
	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done
	@echo " done."

	@echo -n "Checking for bashisms... "
	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: devscripts not installed, skipping checkbashisms."; \
	fi
	@echo " done."

	# FIXME: fail hard on shellcheck once all issues are fixed
	@echo -n "Checking with shellcheck... "
	@if [ -x /usr/bin/shellcheck ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			shellcheck $${SCRIPT} || true; \
			echo -n "."; \
		done; \
	else \
		echo "Note: shellcheck not installed, skipping shellcheck."; \
	fi
	@echo " done."

build: share/man/*.rst
	$(MAKE) -C share/man

	sed -n '/^===/,$$p' share/man/$(SOFTWARE).7.rst > README.txt

install: build
	mkdir -p $(DESTDIR)/etc/$(SOFTWARE)/config
	mkdir -p $(DESTDIR)/etc/$(SOFTWARE)/debconf
	mkdir -p $(DESTDIR)/etc/$(SOFTWARE)/hooks
	mkdir -p $(DESTDIR)/etc/$(SOFTWARE)/keys
	mkdir -p $(DESTDIR)/etc/${SOFTWARE}/container.conf.d

	mkdir -p $(DESTDIR)/usr/bin
	cp -r bin/* $(DESTDIR)/usr/bin

	mkdir -p $(DESTDIR)/usr/libexec
	cp -r libexec/* $(DESTDIR)/usr/libexec

	mkdir -p $(DESTDIR)/usr/share/$(SOFTWARE)
	cp -r VERSION.txt $(DESTDIR)/usr/share/$(SOFTWARE)
	cp -r share/config share/hooks share/keys share/build-scripts share/get-scripts $(DESTDIR)/usr/share/$(SOFTWARE)

	mkdir -p $(DESTDIR)/usr/share/bash-completion/completions
	cp -r share/bash-completion/* $(DESTDIR)/usr/share/bash-completion/completions

	mkdir -p $(DESTDIR)/etc/logrotate.d
	cp -r share/logrotate/* $(DESTDIR)/etc/logrotate.d

	mkdir -p $(DESTDIR)/etc/needrestart/conf.d
	cp -r share/needrestart/* $(DESTDIR)/etc/needrestart/conf.d

	mkdir -p $(DESTDIR)/etc/sysctl.d
	cp -r share/procps/* $(DESTDIR)/etc/sysctl.d

	mkdir -p $(DESTDIR)/etc/sudoers.d
	cp -r share/sudo/* $(DESTDIR)/etc/sudoers.d
	chmod 0440 $(DESTDIR)/etc/sudoers.d/*

	mkdir -p $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	cp -r CHANGELOG.txt LICENSE.txt README.txt share/doc/* $(DESTDIR)/usr/share/doc/$(SOFTWARE)

	for SECTION in $$(seq 1 8); \
	do \
		if ls share/man/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp share/man/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

	ln -sf container $(DESTDIR)/usr/bin/cnt
	ln -sf container.1 $(DESTDIR)/usr/share/man/man1/cnt.1
	ln -sf container-shell $(DESTDIR)/usr/bin/cntsh
	ln -sf container-shell.1 $(DESTDIR)/usr/share/man/man1/cntsh.1
	ln -sf container $(DESTDIR)/usr/share/bash-completion/completions/cnt

	ln -sf debconf $(DESTDIR)/usr/share/$(SOFTWARE)/build-scripts/debian
	ln -sf debconf.d $(DESTDIR)/usr/share/$(SOFTWARE)/build-scripts/debian.d
	ln -sf container-build-debconf.1 $(DESTDIR)/usr/share/man/man1/container-build-debian.1
	ln -sf debconf $(DESTDIR)/usr/share/$(SOFTWARE)/build-scripts/progress-linux
	ln -sf debconf.d $(DESTDIR)/usr/share/$(SOFTWARE)/build-scripts/progress-linux.d
	ln -sf container-build-debconf.1 $(DESTDIR)/usr/share/man/man1/container-build-progress-linux.1
	ln -sf debootstrap $(DESTDIR)/usr/share/$(SOFTWARE)/build-scripts/mmdebstrap
	ln -sf container-build-debootstrap.1 $(DESTDIR)/usr/share/man/man1/container-build-mmdebstrap.1

	ln -sf build $(DESTDIR)/usr/libexec/$(PROGRAM)/b
	ln -sf get $(DESTDIR)/usr/libexec/$(PROGRAM)/g
	ln -sf list $(DESTDIR)/usr/libexec/$(PROGRAM)/ls
	ln -sf move $(DESTDIR)/usr/libexec/$(PROGRAM)/mv
	ln -sf remove $(DESTDIR)/usr/libexec/$(PROGRAM)/rm
	ln -sf rebuild $(DESTDIR)/usr/libexec/$(PROGRAM)/rb
	ln -sf restart $(DESTDIR)/usr/libexec/$(PROGRAM)/rs
	ln -sf start $(DESTDIR)/usr/libexec/$(PROGRAM)/s
	ln -sf status $(DESTDIR)/usr/libexec/$(PROGRAM)/st
	ln -sf stop $(DESTDIR)/usr/libexec/$(PROGRAM)/t
	ln -sf update $(DESTDIR)/usr/libexec/$(PROGRAM)/u

	mkdir -p $(DESTDIR)/lib/systemd/system
	cp -r share/systemd/* $(DESTDIR)/lib/systemd/system

	mkdir -p $(DESTDIR)/var/log/$(SOFTWARE)

uninstall:
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/var/log/$(SOFTWARE) || true

	for FILE in share/systemd/*; \
	do \
		rm -f $(DESTDIR)/lib/systemd/system/$$(basename $${FILE}); \
	done

	for SECTION in $$(seq 1 8); \
	do \
		for FILE in share/man/*.$${SECTION}; \
		do \
			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

	rm -f $(DESTDIR)/usr/bin/cnt
	rm -f $(DESTDIR)/usr/share/man/man1/cnt.1
	rm -f $(DESTDIR)/usr/bin/cntsh
	rm -f $(DESTDIR)/usr/share/man/man1/cntsh.1
	rm -f $(DESTDIR)/usr/share/bash-completion/completions/cnt
	rm -f $(DESTDIR)/usr/share/man/man1/container-build-debian.1
	rm -f $(DESTDIR)/usr/share/man/man1/container-build-progress-linux.1
	rm -f $(DESTDIR)/usr/share/man/man1/container-build-mmdebstrap.1

	for FILE in share/sudo/*; \
	do \
		rm -f $(DESTDIR)/etc/sudoers.d/$$(basename $${FILE}); \
	done

	for FILE in share/procps/*; \
	do \
		rm -f $(DESTDIR)/etc/sysctl.d/$$(basename $${FILE}); \
	done

	for FILE in share/needrestart/*; \
	do \
		rm -f $(DESTDIR)/etc/needrestart/conf.d/$$(basename $${FILE}); \
	done

	for FILE in share/logrotate/*; \
	do \
		rm -f $(DESTDIR)/etc/logrotate.d/$$(basename $${FILE}); \
	done

	for FILE in share/bash-completion/*; \
	do \
		rm -f $(DESTDIR)/usr/share/bash-completion/completions/$$(basename $${FILE}); \
	done

	rm -rf $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/doc || true

	rm -rf $(DESTDIR)/usr/share/$(SOFTWARE)
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share || true

	rm -rf $(DESTDIR)/usr/libexec/$(PROGRAM)
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/libexec || true

	for FILE in bin/*; \
	do \
		rm -f $(DESTDIR)/usr/bin/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/bin || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/$(SOFTWARE)/config || true
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/$(SOFTWARE)/debconf || true
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/$(SOFTWARE)/hooks || true
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/$(SOFTWARE)/keys || true
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/$(SOFTWARE)/container.conf.d || true
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/$(SOFTWARE) || true
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true

clean:
	$(MAKE) -C share/man clean

	rm -f README.txt

distclean: clean
	rm -rf service-tools-$(VERSION)

reinstall: uninstall install

release: distclean
	git commit -a -s -S -m 'Releasing version $(VERSION).' || true
	git tag -s -m 'Tagging version $(VERSION).' v$(VERSION) || true

	mkdir -p $(SOFTWARE)-$(VERSION)
	find . -mindepth 1 -maxdepth 1 -and -not -name ".git*" -and -not -name debian -and -not -name $(SOFTWARE)-$(VERSION) -exec cp \-a {} $(SOFTWARE)-$(VERSION) \;

	for FORMAT in xz lzip; \
	do \
		EXTENSION=$$(echo $${FORMAT} | cut -b-2); \
		tar --$${FORMAT} -cf ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION} $(SOFTWARE)-$(VERSION); \
		sha512sum ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION} > ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.sha512; \
		gpg --default-key 0xB62C61A10B93195F --armor -b ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}; \
		mv ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.asc ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.sig; \
	done

	rm -rf $(SOFTWARE)-$(VERSION)

upload:
	scp ../$(SOFTWARE)-$(VERSION).* get.open-infrastructure.net:/srv/get.open-infrastructure.net/software/$(SOFTWARE)/upstream

=== debian/changelog ===
open-infrastructure-compute-tools (20220721-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220721.
  * Updating http links to https in copyright.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 21 Jul 2022 20:00:44 +0200

open-infrastructure-compute-tools (20220704-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220704.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 04 Jul 2022 15:39:44 +0200

open-infrastructure-compute-tools (20220605-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220605.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 05 Jun 2022 10:27:53 +0200

open-infrastructure-compute-tools (20220604-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220604.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 04 Jun 2022 07:23:21 +0200

open-infrastructure-compute-tools (20220522-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220522.
  * Updating to standards version 4.6.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 22 May 2022 15:26:40 +0200

open-infrastructure-compute-tools (20220509-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220509.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 09 May 2022 14:32:09 +0200

open-infrastructure-compute-tools (20220508-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220508.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 08 May 2022 17:29:49 +0200

open-infrastructure-compute-tools (20220505-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220505.
  * Removing note about using systemd-networkd exclusively, fallback
    support for ifupdown has been added.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 05 May 2022 18:34:53 +0200

=== debian/control ===
Source: open-infrastructure-compute-tools
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper (>= 13.1~),
 debhelper-compat (= 13),
 python3-docutils,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://open-infrastructure.net/software/compute-tools
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools

Package: open-infrastructure-container-tools
Section: admin
Architecture: all
Depends:
 dbus,
 systemd-container,
 ${misc:Depends},
Recommends:
 bash-completion,
 curl,
 mmdebstrap | debootstrap,
 logrotate,
 procps,
 pv,
 sudo,
Suggests:
 irker,
 plzip,
 python3-nwdiag | python-nwdiag,
Provides:
 container-tools,
Enhances:
 systemd-container,
Description: manage systemd-nspawn containers
 A Linux container is an operating-system-level virtualization environment for
 running multiple isolated Linux systems (containers) on a single Linux control
 host.
 .
 container-tools provides the system integration for managing containers using
 systemd-nspawn.

## open-infrastructure-compute-tools 20221023

=== debian/changelog ===
open-infrastructure-compute-tools (20221023-2) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.2.
  * Adding updated Spanish debconf translations from Camaleón
    <noelamac@gmail.com> (Closes: #1024656).
  * Adding Duch debconf translations from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #1023458).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 18 Jan 2023 14:05:44 +0100

open-infrastructure-compute-tools (20221023-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221023.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 23 Oct 2022 11:50:33 +0200

open-infrastructure-compute-tools (20221015-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221015.
  * Adding debian changelog 20221002-1.1.
  * Adding updated German debconf translations from Markus Hiereth
    <translation@hiereth.de> (Closes: #1021813).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 15 Oct 2022 17:23:47 +0200

open-infrastructure-compute-tools (20221002-1.1) sid; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:33:03 +0200

open-infrastructure-compute-tools (20221002-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221002.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 02 Oct 2022 23:08:50 +0200

open-infrastructure-compute-tools (20220721-2) sid; urgency=medium

  * Uploading to sid.
  * Adding debconf options for container directory permissions.
  * Renaming debconf fields to fully descriptive names.
  * Correcting mixed-up texts in debconf templates.
  * Refreshing debconf files.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 02 Oct 2022 15:36:42 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
  python3-docutils,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://open-infrastructure.net/software/compute-tools
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools

## open-infrastructure-compute-tools 20221223

=== Makefile ===
--- 
+++ 
@@ -229,7 +229,7 @@
 	rm -f README.txt
 
 distclean: clean
-	rm -rf service-tools-$(VERSION)
+	rm -rf $(SOFTWARE)-$(VERSION)
 
 reinstall: uninstall install

=== share/man/Makefile ===
# Open Infrastructure: compute-tools

# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# Depends: python3-docutils

RST2MAN = rst2man \
	--no-datestamp \
	--no-generator \
	--strict \
	--strip-comments \
	--tab-width=4 \
	--verbose

VERSION := $(shell cat ../../VERSION.txt)

SHELL := sh -e

all: build

build: man

rebuild: clean build

man: man.in *.rst
	@echo -n "Creating manpages... "

	@for FILE in *.rst; \
	do \
		cp man.in $$(basename $${FILE} .rst); \
		$(RST2MAN) $${FILE} | \
		sed	-e '/^.\\" Man page generated/d' \
			-e '/^.\\" Generated by/d' \
			-e "s|^\(.TH .*\) \(\"\" \"\"\) |\1 $${VERSION} compute-tools |" \
		>> $$(basename $${FILE} .rst); \
		echo -n "."; \
	done

	@echo " done."

clean:
	rm -f *.[0-9]

.PHONY: all clean build rebuild man

=== debian/changelog ===
open-infrastructure-compute-tools (20221223-3) sid; urgency=medium

  * Uploading to sid.
  * Reuploading source-only after NEW without changes.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 05 Feb 2023 16:42:42 +0100

open-infrastructure-compute-tools (20221223-2) sid; urgency=medium

  * Uploading to sid.
  * Renaming container-tools to compute-tools to avoid future NEW
    processing when adding kvm backend.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 04 Feb 2023 12:25:35 +0100

open-infrastructure-compute-tools (20221223-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221223.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Feb 2023 14:44:45 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools
 
-Package: open-infrastructure-container-tools
+Package: open-infrastructure-compute-tools
 Section: admin
 Architecture: all
 Depends:
@@ -31,8 +31,10 @@
  irker,
  plzip,
  python3-nwdiag | python-nwdiag,
-Provides:
- container-tools,
+Breaks:
+ open-infrastructure-container-tools (<< 20221223-2~),
+Replaces:
+ open-infrastructure-container-tools,
 Enhances:
  systemd-container,
 Description: manage systemd-nspawn containers
@@ -40,5 +42,19 @@
  running multiple isolated Linux systems (containers) on a single Linux control
  host.
  .
- container-tools provides the system integration for managing containers using
+ compute-tools provides the system integration for managing containers using
  systemd-nspawn.
+
+Package: open-infrastructure-container-tools
+Section: oldlibs
+Priority: extra
+Architecture: all
+Depends:
+ open-infrastructure-compute-tools,
+ ${misc:Depends},
+Description: manage systemd-nspawn containers (transitional package)
+ Package to ease upgrading from older open-infrastructure-container-tools package
+ to the new open-infrastructure-compute-tools package.
+ .
+ This package can be purged at anytime once the open-infrastructure-compute-tools
+ package has been installed.

## open-infrastructure-compute-tools 20240829

=== debian/changelog ===
open-infrastructure-compute-tools (20240829-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20240829.
  * Removing patches, included upstream.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 29 Aug 2024 18:22:33 +0200

open-infrastructure-compute-tools (20221223-6) sid; urgency=medium

  * Uploading to sid.
  * Removing pre-bookworm transitional package.
  * Minimizing debhelper build-depends for trixie.
  * Updating copyright for 2024.
  * Updating to standards-version 4.7.0.
  * Adding patch to install systemd unit files in /usr, thanks to Helmut
    Grohne <helmut@subdivi.de> (Closes: #1063455).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 05 Jun 2024 06:26:28 +0200

open-infrastructure-compute-tools (20221223-5) experimental; urgency=medium

  * Uploading to experimental.
  * Cherry-picking patch to use versioned sort in container list.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 16 Apr 2023 08:05:17 +0200

open-infrastructure-compute-tools (20221223-4) experimental; urgency=medium

  * Uploading to experimental.
  * Cherry-picking patch to add host variable in preseed files.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 15 Apr 2023 16:57:30 +0200

## open-infrastructure-compute-tools 20250126

=== Makefile ===
--- 
+++ 
@@ -142,8 +142,8 @@
 	ln -sf stop $(DESTDIR)/usr/libexec/$(PROGRAM)/t
 	ln -sf update $(DESTDIR)/usr/libexec/$(PROGRAM)/u
 
-	mkdir -p $(DESTDIR)/lib/systemd/system
-	cp -r share/systemd/* $(DESTDIR)/lib/systemd/system
+	mkdir -p $(DESTDIR)/usr/lib/systemd/system
+	cp -r share/systemd/* $(DESTDIR)/usr/lib/systemd/system
 
 	mkdir -p $(DESTDIR)/var/log/$(SOFTWARE)

=== share/man/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Open Infrastructure: compute-tools
 
-# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+# Copyright (C) 2014-2024 Daniel Baumann <daniel.baumann@open-infrastructure.net>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #

=== debian/changelog ===
open-infrastructure-compute-tools (20250126-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20250126.
  * Updating year in copyright for 2025.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 26 Jan 2025 20:18:18 +0100

## open-infrastructure-compute-tools 20250604

=== debian/changelog ===
open-infrastructure-compute-tools (20250604-1) sid; urgency=medium

  * Merging upstream version 20250604.

 -- Daniel Baumann <daniel@debian.org>  Wed, 04 Jun 2025 07:52:13 +0200

=== debian/control ===
Source: open-infrastructure-compute-tools
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper-compat (= 13),
 python3-docutils,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://open-infrastructure.net/software/compute-tools
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools

Package: open-infrastructure-compute-tools
Section: admin
Architecture: all
Depends:
 dbus,
 systemd-container,
 ${misc:Depends},
Recommends:
 bash-completion,
 curl,
 mmdebstrap | debootstrap,
 logrotate,
 procps,
 pv,
 sudo,
Suggests:
 irker,
 plzip,
 python3-nwdiag | python-nwdiag,
Enhances:
 systemd-container,
Description: manage systemd-nspawn containers
 A Linux container is an operating-system-level virtualization environment for
 running multiple isolated Linux systems (containers) on a single Linux control
 host.
 .
 compute-tools provides the system integration for managing containers using
 systemd-nspawn.

## open-infrastructure-compute-tools 20250703

=== debian/changelog ===
open-infrastructure-compute-tools (20250703-1) experimental; urgency=medium

  * Merging upstream version 20250703.
  * Adding updated Portuguese debconf translations from Américo Monteiro
    <a_monteiro@gmx.com> (Closes: #1107466).

 -- Daniel Baumann <daniel@debian.org>  Thu, 03 Jul 2025 17:22:15 +0200

## open-infrastructure-compute-tools 20250706

=== debian/changelog ===
open-infrastructure-compute-tools (20250706-1) experimental; urgency=medium

  * Merging upstream version 20250706.

 -- Daniel Baumann <daniel@debian.org>  Sun, 06 Jul 2025 13:29:48 +0200

## open-infrastructure-compute-tools 20250720

=== debian/changelog ===
open-infrastructure-compute-tools (20250720-2) sid; urgency=medium

  * Uploading without changes to sid.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Aug 2025 21:15:50 +0200

open-infrastructure-compute-tools (20250720-1) experimental; urgency=medium

  * Merging upstream version 20250720.
  * Removing python3-nwdiag from suggests, not used anymore.

 -- Daniel Baumann <daniel@debian.org>  Sun, 20 Jul 2025 07:36:39 +0200

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,6 @@
 Suggests:
  irker,
  plzip,
- python3-nwdiag | python-nwdiag,
 Enhances:
  systemd-container,
 Description: manage systemd-nspawn containers

## open-infrastructure-compute-tools 20251029

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Open Infrastructure: compute-tools
 
-# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+# Copyright (C) 2014-2025 Daniel Baumann <daniel.baumann@open-infrastructure.net>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #
@@ -245,7 +245,7 @@
 		EXTENSION=$$(echo $${FORMAT} | cut -b-2); \
 		tar --$${FORMAT} -cf ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION} $(SOFTWARE)-$(VERSION); \
 		sha512sum ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION} > ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.sha512; \
-		gpg --default-key 0xB62C61A10B93195F --armor -b ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}; \
+		gpg --default-key 0x49398AF25C60E52D --armor -b ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}; \
 		mv ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.asc ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.sig; \
 	done

=== share/man/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Open Infrastructure: compute-tools
 
-# Copyright (C) 2014-2024 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+# Copyright (C) 2014-2025 Daniel Baumann <daniel.baumann@open-infrastructure.net>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #

=== debian/changelog ===
open-infrastructure-compute-tools (20251029-1) sid; urgency=medium

  * Merging upstream version 20251029.

 -- Daniel Baumann <daniel@debian.org>  Wed, 29 Oct 2025 16:02:47 +0100

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE := open-infrastructure-compute-tools

%:
	dh ${@}

override_dh_auto_build:
	# disabled

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/$(PACKAGE)

execute_after_dh_auto_install:
	rm -f debian/$(PACKAGE)/usr/share/doc/*/CHANGELOG.txt
	rm -f debian/$(PACKAGE)/usr/share/doc/*/LICENSE.txt

	mv debian/$(PACKAGE)/usr/share/doc/* debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)

override_dh_installsystemd:
	dh_installsystemd --no-restart-after-upgrade --no-start --no-stop-on-upgrade
